%define rname Convert-UUlib
%define perl_vendorarch %(eval "$(perl -V:installvendorarch)"; echo $installvendorarch)

Name:    perl-%{rname}
Version: 1.03
Release: 0.fdr.1.rh90
Epoch:   0
Summary: A perl interface to the uulib library

Group:     Development/Libraries
License:   GPL
URL:       http://search.cpan.org/dist/Convert-UUlib/
Source:    http://www.cpan.org/authors/id/M/ML/MLEHMANN/%{rname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl >= 0:5.8.0
Requires:      perl >= 0:5.8.0

%description
A perl interface to the uulib library (a.k.a. uudeview/uuenview)

%prep
%setup -n %{rname}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL \
        PREFIX="%{buildroot}%{_prefix}" \
        INSTALLDIRS="vendor"
make %{?_smp_mflags} OPTIMIZE="%{optflags}"
make test

%install
rm -fr %{buildroot}
%makeinstall

### Clean up buildroot
find %{buildroot} -type f -name "perllocal.pod" -exec rm -f {} ';'
find %{buildroot} -type f -name ".*" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.bs" -exec rm -f {} ';'

# fix perms to enable stripping
chmod -R u+rwX,g+rX  %{buildroot}

%check || :
make test

%clean 
rm -fr %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc Changes COPYING* MANIFEST README doc/*
%doc %{_mandir}/man?/Convert::UUlib*
%dir %{perl_vendorarch}/Convert
%dir %{perl_vendorarch}/auto/Convert
%dir %{perl_vendorarch}/auto/Convert/UUlib
%{perl_vendorarch}/Convert/*.pm
%attr(0755,root,root) %{perl_vendorarch}/auto/Convert/UUlib/*.so


%changelog
* Mon Apr 19 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.03-0.fdr.1
- Updated to 1.03

* Sun Apr 18 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.02-0.fdr.1
- Updated to 1.02

* Sun Apr 18 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.01-0.fdr.2
- Merge a few tweaks from 0:0.31-0.fdr.4 (bug #375)

* Sun Apr 18 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.01-0.fdr.1
- Fedorization
- Cleanup

* Thu Mar 18 2004 Dag Wieers <dag@wieers.com> - 1.01-0
- Updated to release 1.01.

* Mon Jul 14 2003 Dag Wieers <dag@wieers.com> - 0.31-0
- Updated to release 0.31.
- Initial package. (using DAR)
